PathSearchingVirtualMachine (Java Debug Interface)

Overview | Package | Class | Use | Tree | Index | Help

Java Debug Interface

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi
Interface PathSearchingVirtualMachine

All Superinterfaces:
  Mirror, VirtualMachine

public interface PathSearchingVirtualMachine
extends VirtualMachine

A virtual machine which searches for classes through paths

Since:
  1.3

Field Summary

Fields inherited from interface com.sun.jdi.VirtualMachine
`TRACE_ALL, TRACE_EVENTS, TRACE_NONE, TRACE_OBJREFS, TRACE_RECEIVES, TRACE_REFTYPES, TRACE_SENDS`

Method Summary
`String` | `baseDirectory()`
`List` | `bootClassPath()` Get the boot class path for this virtual machine.
`List` | `classPath()` Get the class path for this virtual machine.

Methods inherited from interface com.sun.jdi.VirtualMachine
`allClasses, allThreads, canAddMethod, canGetBytecodes, canGetCurrentContendedMonitor, canGetMonitorInfo, canGetOwnedMonitorInfo, canGetSourceDebugExtension, canGetSyntheticAttribute, canPopFrames, canRedefineClasses, canRequestVMDeathEvent, canUnrestrictedlyRedefineClasses, canUseInstanceFilters, canWatchFieldAccess, canWatchFieldModification, classesByName, description, dispose, eventQueue, eventRequestManager, exit, getDefaultStratum, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, mirrorOf, name, process, redefineClasses, resume, setDebugTraceMode, setDefaultStratum, suspend, topLevelThreadGroups, version`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### classPath

    public List classPath()

  Get the class path for this virtual machine.

  Returns:
    `List` of components of the classpath, each represented by a `String`.

### bootClassPath

    public List bootClassPath()

  Get the boot class path for this virtual machine.

  Returns:
    `List` of components of the boot class path, each represented by a `String`.

### baseDirectory

    public String baseDirectory()

Overview | Package | Class | Use | Tree | Index | Help

Java Debug Interface

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD